Name:       perl-Test-Distribution
Version:    2.00
Release:    1
Summary:    Perform tests on all modules of a distribution
License:    GPL-1.0-or-later OR Artistic-1.0-Perl
URL:        https://metacpan.org/release/Test-Distribution
Source0:    https://cpan.metacpan.org/modules/by-module/Test/Test-Distribution-%{version}.tar.gz

BuildArch:  noarch
# Build
BuildRequires:  coreutils
BuildRequires:  perl-generators
BuildRequires:  perl-interpreter
BuildRequires:  perl(Module::Build)
# Module
BuildRequires:  perl(ExtUtils::Manifest)
BuildRequires:  perl(File::Find::Rule) >= 0.03
BuildRequires:  perl(Module::CoreList) >= 1.93
BuildRequires:  perl(Module::Signature)
BuildRequires:  perl(Pod::Coverage) >= 0.17
BuildRequires:  perl(strict)
BuildRequires:  perl(Test::More)
BuildRequires:  perl(Test::Pod) >= 0.95
BuildRequires:  perl(Test::Pod::Coverage)
BuildRequires:  perl(vars)
BuildRequires:  perl(warnings)
# Test Suite
# (no additional dependencies)
# Dependencies
# these are considered "optional"; autoreq doesn't pick them up
Requires:   perl(File::Find::Rule) >= 0.03
Requires:   perl(Module::CoreList) >= 1.93
Requires:   perl(Module::Signature)
Requires:   perl(Pod::Coverage) >= 0.17
Requires:   perl(Test::Pod) >= 0.95
Requires:   perl(Test::Pod::Coverage)

%description
When using this module in a test script, it goes through all the modules in
your distribution, checks their POD, checks that they compile OK and checks
that they all define a $VERSION.

%prep
%setup -q -n Test-Distribution-%{version}


%build
perl Build.PL --installdirs=vendor
./Build

%install
./Build install --destdir=%{buildroot} --create_packlist=0
%{_fixperms} -c %{buildroot}

%check
./Build test

%files
%doc Changes.pod README
%{perl_vendorlib}/Test/
%{_mandir}/man3/Test::Distribution.3*

%changelog
* Tue Jul 18 2023 leeffo <liweiganga@uniontech.com> - 2.00-1
- init package
